#!/usr/bin/env bash

# Copyright (c) 2023 NVIDIA CORPORATION & AFFILIATES. All rights reserved.
#
# NVIDIA CORPORATION, its affiliates and licensors retain all intellectual
# property and proprietary rights in and to this material, related
# documentation and any modifications thereto. Any use, reproduction,
# disclosure or distribution of this material and related documentation
# without an express license agreement from NVIDIA CORPORATION or
# its affiliates is strictly prohibited.

MFT_VERSION_STR="mft 4.34.0-145"
TOOLS_GIT_SHA="da07564cc"

print_version_string() {
    local tool_name="$1"
    local tool_version="$2"
    local tool_version_string
    if [ -z "$tool_version" ]; then
        tool_version_string="$tool_name"
    else
        tool_version_string="$tool_name $tool_version"
    fi
    echo "$tool_version_string, $MFT_VERSION_STR. Git SHA Hash: $TOOLS_GIT_SHA"
}
